Subject: Re: [PATCH v10 05/11] seccomp: add system call filtering using BPF

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 22 Feb 2012 17:07:05 -0800

On 02/22/2012 03:51 PM, Andrew Lutomirski wrote:
> On Wed, Feb 22, 2012 at 3:46 PM, Indan Zupancic <[email-masked]> wrote:
>> On Wed, February 22, 2012 20:47, Will Drewry wrote:
>>> On Wed, Feb 22, 2012 at 8:23 AM, Ben Hutchings
>>>> I would have thought the way to make sure the architecture is always
>>>> checked is to pack it together with the syscall number.
>>
>> I missed that suggestion, putting the syscall number and arch in one
>> data field would indeed make it harder to not check the arch.
> 
> Is there enough room?  On x86-64 at least, rax could conceivably be
> extended to 64 bits some day.  Bit 30 is already spoken for by x32.
> 

No it couldn't, because we mask off the high 32 bits and thus it could
(theoretically) break user space.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.